.form {
  display: flex;
  flex-direction: column;
  margin-bottom: 30px;

  &__field {
    display: flex;
    flex-direction: column;
    margin: 16px 0;

    @include device-is('desktop') {
      width: 500px;
    }

    &--wide input,
    select,
    textarea {
      width: 100%;
    }

    .form__radio-button:last-child {
      margin-bottom: 0;
    }
  }

  &__field-with-info {
    position: relative;
    display: flex;
    align-content: center;
    flex-direction: column;

    & > .form__field--wide {
      flex-grow: 1;
    }

    @include device-is('desktop') {
      max-width: 500px;
    }
  }

  &__field-info {
    display: flex;
    flex-direction: column;
    border-radius: 8px;
    background: $pix-neutral-15;
    height: max-content;
    padding: 16px;
    color: $pix-neutral-60;
    font-size: 0.875rem;
    margin: 16px 0 0 0;

    @include device-is('desktop') {
      position: absolute;
      margin: 0 0 0 16px;
      left: 100%;
      width: calc(100vw - 100% - #{$app-sidebar-width} - 32px);
    }

    &-icon {
      color: $pix-primary;
      margin-right: 8px;
    }

    &-title {
      font-weight: 500;
      font-size: 0.875rem;
      margin-bottom: 8px;
      color: $pix-neutral-90;
    }

    &-message {
      font-size: 0.8125rem;
      color: $pix-neutral-60;
    }
  }

  &__field-filters {
    margin-bottom: 16px;
    border: 0;
    padding: 0;

    > legend {
      font-size: 0.875rem;
      color: $pix-neutral-50;
      margin-bottom: 2px;
    }

    .pix-selectable-tag {
      margin-top: 8px;
      margin-inline-end: 8px;
    }

    @include device-is('desktop') {
      max-width: 500px;
    }
  }

  &__validation {
    margin-top: 32px;
    display: flex;
    align-items: center;
    justify-content: space-between;

    @include device-is('desktop') {
      max-width: 500px;
    }
  }

  &__error {
    padding-top: 4px;
  }

  &__information {
    margin-top: 7px;
  }

  &__comment {
    font-weight: 400;
    font-style: italic;
  }

  &__mandatory-fields-information {
    font-size: 0.875rem;
    margin: 0 0 35px 0;
    color: $pix-neutral-70;
  }

  abbr.mandatory-mark {
    cursor: help;
    color: $pix-error-70;
    text-decoration: none;
    border: none;
  }
}

.label {
  display: inline-block;
  color: $pix-neutral-70;
  font-size: 0.875rem;
  padding-bottom: 5px;
}

p.label {
  margin: 0 0 16px;
}

.input-container {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  margin-bottom: 22px;
}

.input {
  height: 36px;
  border: 1px solid $pix-neutral-40;
  border-radius: 4px;
  font-size: 0.875rem;
  padding-left: 15px;
  color: $pix-neutral-100;
  outline: none;

  &:focus {
    border: 2px solid $ecriplus-teal-saturated;
  }

  &--error {
    border: 1px solid $pix-error-70;
  }
}

.error-message {
  color: $pix-error-70;
  font-family: $font-roboto;
  font-size: 0.75rem;
}